package org.wfc.omada.api.device.model;

import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.NotNull;
import java.util.Objects;

/**
 * Model type information.
 */
@ApiModel(description = "Model type information.")
@javax.annotation.Generated(value = "org.openapitools.codegen.languages.SpringCodegen", date = "2024-12-04T11:26:25.576+08:00[Asia/Shanghai]")

public class ModelTypeInfoOpenApiVo   {
  @JsonProperty("showModel")
  private String showModel;

  @JsonProperty("compoundModel")
  private String compoundModel;

  public ModelTypeInfoOpenApiVo showModel(String showModel) {
    this.showModel = showModel;
    return this;
  }

  /**
   * Model complex displayed on the front end, you can also get this field throw: \"Get the model of the specified site\"
   * @return showModel
  */
  @ApiModelProperty(required = true, value = "Model complex displayed on the front end, you can also get this field throw: \"Get the model of the specified site\"")
  @NotNull


  public String getShowModel() {
    return showModel;
  }

  public void setShowModel(String showModel) {
    this.showModel = showModel;
  }

  public ModelTypeInfoOpenApiVo compoundModel(String compoundModel) {
    this.compoundModel = compoundModel;
    return this;
  }

  /**
   * Model complex used on the backend, you can also get this field throw: \"Get the model of the specified site\"
   * @return compoundModel
  */
  @ApiModelProperty(required = true, value = "Model complex used on the backend, you can also get this field throw: \"Get the model of the specified site\"")
  @NotNull


  public String getCompoundModel() {
    return compoundModel;
  }

  public void setCompoundModel(String compoundModel) {
    this.compoundModel = compoundModel;
  }


  @Override
  public boolean equals(Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    ModelTypeInfoOpenApiVo modelTypeInfoOpenApiVo = (ModelTypeInfoOpenApiVo) o;
    return Objects.equals(this.showModel, modelTypeInfoOpenApiVo.showModel) &&
        Objects.equals(this.compoundModel, modelTypeInfoOpenApiVo.compoundModel);
  }

  @Override
  public int hashCode() {
    return Objects.hash(showModel, compoundModel);
  }

  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class ModelTypeInfoOpenApiVo {\n");
    
    sb.append("    showModel: ").append(toIndentedString(showModel)).append("\n");
    sb.append("    compoundModel: ").append(toIndentedString(compoundModel)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }
}

